
locals {
  additional_unattend_contents = var.additional_unattend_contents
  admin_password = var.admin_password
  admin_ssh_keys = var.admin_ssh_keys
  admin_username = var.admin_username
  allow_extension_operations = var.allow_extension_operations
  automatic_updates_enabled = var.automatic_updates_enabled
  availability_set_id = var.availability_set_id
  boot_diagnostics = var.boot_diagnostics
  boot_diagnostics_storage_account_uri = var.boot_diagnostics_storage_account_uri
  bypass_platform_safety_checks_on_user_schedule_enabled = var.bypass_platform_safety_checks_on_user_schedule_enabled
  capacity_reservation_group_id = var.capacity_reservation_group_id
  computer_name = var.computer_name
  custom_data = var.custom_data
  data_disks = var.data_disks
  dedicated_host_group_id = var.dedicated_host_group_id
  dedicated_host_id = var.dedicated_host_id
  disable_password_authentication = var.disable_password_authentication
  edge_zone = var.edge_zone
  encryption_at_host_enabled = var.encryption_at_host_enabled
  eviction_policy = var.eviction_policy
  extensions = var.extensions
  extensions_time_budget = var.extensions_time_budget
  gallery_application = var.gallery_application
  hotpatching_enabled = var.hotpatching_enabled
  identity = var.identity
  image_os = var.image_os
  license_type = var.license_type
  location = var.location
  max_bid_price = var.max_bid_price
  name = var.name
  network_interface_ids = var.network_interface_ids
  new_boot_diagnostics_storage_account = var.new_boot_diagnostics_storage_account
  new_network_interface = var.new_network_interface
  os_disk = var.os_disk
  os_simple = var.os_simple
  os_version = var.os_version
  patch_assessment_mode = var.patch_assessment_mode
  patch_mode = var.patch_mode
  plan = var.plan
  platform_fault_domain = var.platform_fault_domain
  priority = var.priority
  provision_vm_agent = var.provision_vm_agent
  proximity_placement_group_id = var.proximity_placement_group_id
  reboot_setting = var.reboot_setting
  resource_group_name = var.resource_group_name
  secrets = var.secrets
  secure_boot_enabled = var.secure_boot_enabled
  size = var.size
  source_image_id = var.source_image_id
  source_image_reference = var.source_image_reference
  standard_os = var.standard_os
  subnet_id = var.subnet_id
  tags = var.tags
  termination_notification = var.termination_notification
  timezone = var.timezone
  tracing_tags_enabled = var.tracing_tags_enabled
  tracing_tags_prefix = var.tracing_tags_prefix
  user_data = var.user_data
  virtual_machine_scale_set_id = var.virtual_machine_scale_set_id
  vm_additional_capabilities = var.vm_additional_capabilities
  vtpm_enabled = var.vtpm_enabled
  winrm_listeners = var.winrm_listeners
  zone = var.zone
}
